/* found-bg-crossfade.h - fade window background between two surfaces

   Copyright 2008, Red Hat, Inc.

   This file is part of the Fd Library.

   The Fd Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The Fd Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the Fd Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.

   Author: Ray Strode <rstrode@redhat.com>
*/

#ifndef __FD_BG_CROSSFADE_H__
#define __FD_BG_CROSSFADE_H__

#include <gdk/gdk.h>

G_BEGIN_DECLS

#define FD_TYPE_BG_CROSSFADE            (fd_bg_crossfade_get_type ())
#define FD_BG_CROSSFADE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), FD_TYPE_BG_CROSSFADE, FdBGCrossfade))
#define FD_BG_CROSSFADE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  FD_TYPE_BG_CROSSFADE, FdBGCrossfadeClass))
#define FD_IS_BG_CROSSFADE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), FD_TYPE_BG_CROSSFADE))
#define FD_IS_BG_CROSSFADE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  FD_TYPE_BG_CROSSFADE))
#define FD_BG_CROSSFADE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  FD_TYPE_BG_CROSSFADE, FdBGCrossfadeClass))

typedef struct _FdBGCrossfadePrivate FdBGCrossfadePrivate;
typedef struct _FdBGCrossfade FdBGCrossfade;
typedef struct _FdBGCrossfadeClass FdBGCrossfadeClass;

struct _FdBGCrossfade
{
	GObject parent_object;

	FdBGCrossfadePrivate *priv;
};

struct _FdBGCrossfadeClass
{
	GObjectClass parent_class;

	void (* finished) (FdBGCrossfade *fade, GdkWindow *window);
};

G_DEFINE_AUTOPTR_CLEANUP_FUNC(FdBGCrossfade, g_object_unref)

GType             fd_bg_crossfade_get_type              (void);
FdBGCrossfade *fd_bg_crossfade_new (int width, int height);
gboolean          fd_bg_crossfade_set_start_surface (FdBGCrossfade *fade,
                                                        cairo_surface_t *surface);
gboolean          fd_bg_crossfade_set_end_surface (FdBGCrossfade *fade,
                                                      cairo_surface_t *surface);
void              fd_bg_crossfade_start (FdBGCrossfade *fade,
                                            GdkWindow        *window);
gboolean          fd_bg_crossfade_is_started (FdBGCrossfade *fade);
void              fd_bg_crossfade_stop (FdBGCrossfade *fade);

G_END_DECLS

#endif
