#ifndef __FD_BG_SETTINGS_H__
#define __FD_BG_SETTINGS_H__

#include <glib-object.h>
#include <gio/gio.h>
#include <gdesktop-enums.h>

GType fd_bg_settings_get_type (void);

#define FD_TYPE_BG_SETTINGS (fd_bg_settings_get_type ())
#define FD_BG_SETTINGS(obj)                                                                                   \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), FD_TYPE_BG_SETTINGS, FdBgSettings))
#define FD_IS_BG_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), FD_TYPE_BG_SETTINGS))
#define FD_BG_SETTINGS_CLASS(klass)                                                                           \
    (G_TYPE_CHECK_CLASS_CAST ((klass), FD_TYPE_BG_SETTINGS, FdBgSettingsClass))
#define FD_IS_BG_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), FD_TYPE_BG_SETTINGS))
#define FD_BG_SETTINGS_GET_CLASS(obj)                                                                         \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), FD_TYPE_BG_SETTINGS, FdBgSettingsClass))

typedef struct _FdBgSettings          FdBgSettings;
typedef struct _FdBgSettingsPrivate   FdBgSettingsPrivate;
typedef struct _FdBgSettingsClass     FdBgSettingsClass;

struct _FdBgSettings
{
    GObject parent_instance;
    FdBgSettingsPrivate *priv;
};

struct _FdBgSettingsClass
{
    GObjectClass parent_class;
};

FdBgSettings *
fd_bg_settings_new (const gchar *schema_id, const gchar *config_file);
gchar *
fd_bg_settings_get_theme_name (FdBgSettings *self);
gboolean
fd_bg_settings_set_theme_name (FdBgSettings *self, const gchar *name);
gboolean
fd_bg_settings_is_global_mode (FdBgSettings *self);
gboolean 
fd_bg_settings_use_global_mode (FdBgSettings *self, gboolean use);
gchar *
fd_bg_settings_get_image_file (FdBgSettings *self);
gboolean
fd_bg_settings_set_image_file (FdBgSettings *self, const gchar *image_file);
GDesktopBackgroundStyle
fd_bg_settings_get_image_style (FdBgSettings *self);
gboolean
fd_bg_settings_set_image_style (FdBgSettings *self, GDesktopBackgroundStyle style);
gint
fd_bg_settings_get_image_opacity (FdBgSettings *self);
gboolean
fd_bg_settings_set_image_opacity (FdBgSettings *self, gint opacity);
gint
fd_bg_settings_get_delay (FdBgSettings *self);
gboolean
fd_bg_settings_set_delay (FdBgSettings *self, gint delay);
GDesktopBackgroundShading
fd_bg_settings_get_color_shading_type (FdBgSettings *self);
gboolean
fd_bg_settings_set_color_shading_type (FdBgSettings *self, GDesktopBackgroundShading shading_type);
gchar *
fd_bg_settings_get_primary_color (FdBgSettings *self);
gboolean
fd_bg_settings_set_primary_color (FdBgSettings *self, const gchar *color);
gchar *
fd_bg_settings_get_secondary_color (FdBgSettings *self);
gboolean
fd_bg_settings_set_secondary_color (FdBgSettings *self, const gchar *color);

#endif
