#ifndef __FD_IDLE_ACTION_SETTINGS_H__
#define __FD_IDLE_ACTION_SETTINGS_H__

#include <glib-object.h>
#include <gio/gio.h>

GType fd_idle_action_settings_get_type (void);

#define FD_TYPE_IDLE_ACTION_SETTINGS (fd_idle_action_settings_get_type ())
#define FD_IDLE_ACTION_SETTINGS(obj)                                                                                   \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), FD_TYPE_IDLE_ACTION_SETTINGS, FdIdleActionSettings))
#define FD_IS_IDLE_ACTION_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), FD_TYPE_IDLE_ACTION_SETTINGS))
#define FD_IDLE_ACTION_SETTINGS_CLASS(klass)                                                                           \
    (G_TYPE_CHECK_CLASS_CAST ((klass), FD_TYPE_IDLE_ACTION_SETTINGS, FdIdleActionSettingsClass))
#define FD_IS_IDLE_ACTION_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), FD_TYPE_IDLE_ACTION_SETTINGS))
#define FD_IDLE_ACTION_SETTINGS_GET_CLASS(obj)                                                                         \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), FD_TYPE_IDLE_ACTION_SETTINGS, FdIdleActionSettingsClass))

typedef struct _FdIdleActionSettings          FdIdleActionSettings;
typedef struct _FdIdleActionSettingsPrivate   FdIdleActionSettingsPrivate;
typedef struct _FdIdleActionSettingsClass     FdIdleActionSettingsClass;

struct _FdIdleActionSettings
{
    GObject parent_instance;
    FdIdleActionSettingsPrivate *priv;
};

struct _FdIdleActionSettingsClass
{
    GObjectClass parent_class;
};

typedef enum
{
  FD_IDLE_ACTION_NONE,
  FD_IDLE_ACTION_SCREENSAVER,
  FD_IDLE_ACTION_SCREENSAVER_LOCK,
  FD_IDLE_ACTION_SUSPEND_AC,
  FD_IDLE_ACTION_SUSPEND_BATTERY,
  FD_IDLE_ACTION_DISPLAY_AC,
  FD_IDLE_ACTION_DISPLAY_BATTERY,
} FdIdleActionType;

FdIdleActionSettings *
fd_idle_action_settings_new (void);
guint
fd_idle_action_settings_get_timeout (FdIdleActionSettings *settings, 
                                     FdIdleActionType action);
gboolean
fd_idle_action_settings_set_timeout (FdIdleActionSettings *settings, 
                                     FdIdleActionType action, 
                                     guint timeout);

#endif
